import { PrismaClient } from "@prisma/client";

const prisma = new PrismaClient();

export const getHeroImages = async (req, res) => {
    try {
        const coaches = await prisma.heroImages.findMany();
        res.status(200).json({ status: 200, data: coaches });
    } catch (error) {
        res.status(500).json({ message: error.message });
    }
};

export const createHeroImage = async (req, res) => {
    try {
        const newEvent = await prisma.heroImages.create({
            data: {
                ...req?.body,
            },
        });
        res.status(201).json({ status: 201, data: newEvent });
    } catch (error) {
        res.status(500).json({ message: error.message });
    }
};
// to be checkedfixed
export const uploadHeroImages = async (req, res) => {
    try {
        const files = req.files;
        const heroImages = files.map((file) => file.path);
        console.log(heroImages);
        const newHeroImages = await prisma.heroImages.create({
            data: heroImages,
        });
        res.status(201).json({ status: 201, data: newHeroImages });
    } catch (error) {
        res.status(500).json({ message: error.message });
    }
};

export const updateHeroImage = async (req, res) => {
    const { id } = req.params;
    try {
        const updatedEvent = await prisma.heroImages.update({
            where: { id: id },
            data: {
                ...req?.body,
            },
        });
        res.status(200).json({ status: 200, data: updatedEvent });
    } catch (error) {
        res.status(500).json({ message: error.message });
    }
};

export const deleteHeroImage = async (req, res) => {
    const { id } = req.params;
    try {
        await prisma.heroImages.delete({
            where: { id: id },
        });
        res.status(200).json({
            status: 200,
            message: "Event deleted successfully",
        });
    } catch (error) {
        res.status(500).json({ message: error.message });
    }
};
